		
<div id="chartBarCanvasWrapper" style="width:100%">
		<canvas id="canvas2"></canvas>
</div>
    
    
    

  </div>
	<script>
		var color = Chart.helpers.color;

  function count_data_by_month(data){
    window.foo = data;
    console.log(1)
    var datesaarray = ["2017-10", "2017-11", "2017-12", "2018-01", "2018-02", "2018-03", "2018-04", "2018-05", "2018-06", "2018-07", "2018-08", "2018-09"];

    var mydates = []
    for (var i=0;i<data.length;i++){
        mydates.push(data[i].x.substring(0,7))
    }

    var mydataarray = [0,0,0,0,0,0,0,0,0,0,0,0];

    for (var i=0;i<mydates.length;i++){

      for (var j=0;j<12;j++){
        if (mydates[i] == datesaarray[j]){
          mydataarray[j]++;
        }
      }
      console.log(2)
    }

    return mydataarray;
  }





  function buildBarChartData(data) {
      var barChartData = {
        labels : ["2017-10", "2017-11", "2017-12", "2018-01", "2018-02", "2018-03", "2018-04", "2018-05", "2018-06", "2018-07", "2018-08", "2018-09"],
        datasets: [{
          label: 'Posts publicados',
          backgroundColor: color(window.chartColors.red).alpha(0.5).rgbString(),
          borderColor: window.chartColors.red,
          borderWidth: 1,
          data: count_data_by_month(data)
            
        } ],
        scales: {
					yAxes: [{
						ticks: {
							min: 0,
						}
					}]
				}
      }
      return barChartData;
  }


  function drawBarsChart(data) {

    $("#chartBarCanvasWrapper").html('<canvas id="canvas2"></canvas>');
    debugger;

    var ctx = document.getElementById('canvas2').getContext('2d');
    window.myBar = new Chart(ctx, {
      type: 'bar',
      labels: ["January", "February", "March", "April", "May", "June", "July"],
      data: buildBarChartData(data),
      options: {
        responsive: true,
        legend: {
          position: 'top',
        },
        scales: {
					yAxes: [{
						ticks: {
							min: 0,
						}
					}]
				}
      }
    });
  };

  function draw_chart(data_array){
    var ctx = document.getElementById('canvas').getContext('2d');
    var config = build_config_by_data_array(data_array);
    new Chart(ctx, config);
    drawBarsChart(data_array);
  };


		var colorNames = Object.keys(window.chartColors);

	</script>
